VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::cis::SessionTypes::Info Class Reference

Represents data associated with an API session. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | GetUser ()
| Fully qualified name of the end user that created the session, for example Administrator@vsphere.local.
void | SetUser (string user)
| Fully qualified name of the end user that created the session, for example Administrator@vsphere.local.
global::System.DateTimeOffset | GetCreatedTime ()
| Time when the session was created.
void | SetCreatedTime (global::System.DateTimeOffset createdTime)
| Time when the session was created.
global::System.DateTimeOffset | GetLastAccessedTime ()
| Last time this session was used by passing the session key for invoking an API.
void | SetLastAccessedTime (global::System.DateTimeOffset lastAccessedTime)
| Last time this session was used by passing the session key for invoking an API.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

Represents data associated with an API session.

## Constructor & Destructor Documentation

vmware::cis::SessionTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::cis::SessionTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::cis::SessionTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::cis::SessionTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::cis::SessionTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::cis::SessionTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::cis::SessionTypes::Info::Equals | ( | object | obj | ) | `[inline]`

global::System.DateTimeOffset vmware::cis::SessionTypes::Info::GetCreatedTime | ( |  | ) | `[inline]`

Time when the session was created.

override int vmware::cis::SessionTypes::Info::GetHashCode | ( |  | ) | `[inline]`

global::System.DateTimeOffset vmware::cis::SessionTypes::Info::GetLastAccessedTime | ( |  | ) | `[inline]`

Last time this session was used by passing the session key for invoking an API.

string vmware::cis::SessionTypes::Info::GetUser | ( |  | ) | `[inline]`

Fully qualified name of the end user that created the session, for example Administrator@vsphere.local.

A typical use case for this information is in Graphical User Interfaces (GUI) or logging systems to visualize the identity of the current user.

void vmware::cis::SessionTypes::Info::SetCreatedTime | ( | global::System.DateTimeOffset | createdTime | ) | `[inline]`

Time when the session was created.

void vmware::cis::SessionTypes::Info::SetLastAccessedTime | ( | global::System.DateTimeOffset | lastAccessedTime | ) | `[inline]`

Last time this session was used by passing the session key for invoking an API.

void vmware::cis::SessionTypes::Info::SetUser | ( | string | user | ) | `[inline]`

Fully qualified name of the end user that created the session, for example Administrator@vsphere.local.

A typical use case for this information is in Graphical User Interfaces (GUI) or logging systems to visualize the identity of the current user.

override string vmware::cis::SessionTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SessionTypes.cs